#ifndef _INCLUDE_SOURCEMOD_EXTENSION_PROPER_H_
#define _INCLUDE_SOURCEMOD_EXTENSION_PROPER_H_

#include "smsdk_ext.h"

class SHVectorExtension : public SDKExtension
{
public:
	virtual bool SDK_OnLoad(char *error, size_t err_max, bool late);
	virtual void SDK_OnUnload();
public:
#if defined SMEXT_CONF_METAMOD
	virtual bool SDK_OnMetamodLoad(ISmmAPI *ismm, char *error, size_t maxlen, bool late);
#endif
};

// Natives
extern const sp_nativeinfo_t shvector_natives[];

#endif //_INCLUDE_SOURCEMOD_EXTENSION_PROPER_H_
